﻿<style>
    fieldset {
        border: 1px solid lightgrey;
        padding: 10px;
        border-radius: 8px;
        background: #f9f9f9;
        padding: 5px;
        height: 280px;
        max-height: 300px;
        vertical-align: top;
        font-size: 11px;
        overflow-y: auto;
    }
</style>
<table>
    <tr>
        <td style="padding-bottom:5px;">
            @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdSave";
                    Button.Text = "Save";
                    Button.Width = 100;
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "onSaveDynamicQuery";
                }).GetHtml()
        </td>
        @*<td style="padding-bottom:5px;">
            @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdCancel";
                    Button.Text = "Cancel";
                    Button.Width = 100;
                    Button.UseSubmitBehavior = true;
                    //Button.ClientSideEvents.Click = "OnCancel";
                }).GetHtml()
        </td>*@
    </tr>
</table>
@*<fieldset>*@
    <table>
        <tr>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Process Name*";
                }).GetHtml()
            </td>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_Process_name";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 250;
                    settings.Properties.MaxLength = 40;
                }).Bind(Model.PROCESS_NAME).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Category*";
                }).GetHtml()
            </td>
            <td style="padding-bottom:5px;">
                @*@Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "I_Category";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.Properties.MaxLength = 5;
            }).GetHtml()*@
                @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_Category";
                        settings.Width = 250;
                        settings.Properties.DropDownWidth = 250;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.Columns.Add("SYSTEM_CD", "Code");
                        settings.Properties.Columns.Add("SYSTEM_VALUE", "Category");
                    }
                        ).BindList(ViewData["Category"]).Bind(Model.CATEGORY).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Output Format*";
                }).GetHtml()
            </td>
            <td style="padding-bottom:5px;">
                @*@Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "I_Ext";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.Properties.MaxLength = 5;
            }).GetHtml()*@
                @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_Ext";
                        settings.Width = 250;
                        settings.Properties.DropDownWidth = 250;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueField = "SYSTEM_VALUE";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.Columns.Add("SYSTEM_VALUE", "Ext", 150);
                    }
                 ).BindList(ViewData["ExtDownloadFile"]).Bind(Model.EXT_DOWNLOAD_FILE).GetHtml()


            </td>
        </tr>
        <tr>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Process Description";
                }).GetHtml()
            </td>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PROCESS_DESC";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 250;
                    settings.Properties.MaxLength = 40;
                }).Bind(Model.PROCESS_DESC).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Role";
                }).GetHtml()
            </td>
            <td style="padding-bottom:5px;">
                @Html.Partial("_PartialRole")
            </td>
        </tr>
        <tr>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "SQL Query 1*";
                }).GetHtml()
            </td>
            <td style="padding-bottom:5px;">
                @Html.DevExpress().Memo(
                settings =>
                {
                    settings.Name = "I_SQL_QUERY1";
                    settings.Properties.Columns = 70;
                    settings.Properties.Rows = 15;
                    settings.Text= Model.SQL_QUERY1;
                }).GetHtml()
            </td>
        </tr>
        </table>
@*</fieldset>*@

